- name: Add generic rule to public zone
  firewalld:
    port: '{{ ports }}/{{ protocol }}'
    permanent: true
    state: enabled
  when:
    - (source is not defined) or (source == "")

- name: Add rich rule to public zone
  firewalld:
    rich_rule: 'rule family=ipv4 source address={{ source }} port port={{ ports }} protocol={{ protocol }} accept'
    permanent: true
    state: enabled
  when:
    - source is defined
    - source != ""

- name: Reload firewalld
  service:
    name: firewalld
    state: reloaded
